#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9D,0x52,0xE0,0x46,0x78,0xD4,0xA1,0x91,0x5C,0xCC,0xF8,0x2A,
		0x84,0x22,0x93,0x09,0x25,0x8A,0x77,0x3D,0x19,0x18,0x6C,0xFE,
		0xDF,0x5E,0x76,0xF7,0xAE,0x05,0xD7,0xCF,0x4A,0x81,0x92,0x76,
		0xB2,0x7C,0xC6,0xAD,0xB1,0x3E,0xDE,0xC5,0xE1,0x6C,0x8E,0x1C,
		0x65,0x88,0x3A,0x63,0xFF,0x6F,0x92,0x1A,0x09,0x1E,0xA8,0x6F,
		0x08,0x8F,0x73,0xA3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
